package net.wanji.web.mapper.scheme;

import net.wanji.web.po.scheme.CrossDirInfoPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/12/20 10:32
 */
@Repository
public interface CrossDirInfoMapper {
    void deleteInByDirType(@Param("crossId") String crossId, @Param("dir") Integer dir);

    void insertOne(CrossDirInfoPO crossDirInfoPO);

    void updateIsPedestrian(@Param("isPersonCross") Integer isPersonCross, @Param("id") String id);

    // todo 只返回进口
    CrossDirInfoPO selectByCrossIdAndDirType(@Param("crossId") String crossId, @Param("dirType") Integer dirType);

    List<CrossDirInfoPO> selectByCrossId(String crossId);
}
