package net.wanji.web.mapper.scheme;

import net.wanji.web.po.scheme.CrossSectionPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 时段基础信息;(t_base_cross_section)表
 *
 * @author Kent HAN
 * @date 2023/1/28 13:16
 */
@Repository
public interface CrossSectionMapper {

    void insertOne(CrossSectionPO crossSectionPO);

    void deleteByCrossId(@Param("crossId") String crossId);

    List<CrossSectionPO> listCrossSectionPO(@Param("entity") CrossSectionPO entity);
}
